Admin Endpoints
Admin endpoints require a logged-in WordPress user with the appropriate capability. Some also require a REST nonce.
Dashboard
Section titled “Dashboard”GET /dashboard/stats
Returns summary counts and recent log activity.
Software
Section titled “Software”GET /admin/softwarePOST /admin/softwarePOST /admin/software/{id}DELETE /admin/software/{id}
Software records can include:
- slug
- name
- version
- file name
- readme
- uploaded zip file
Licenses
Section titled “Licenses”GET /licensesPOST /licensesPOST /licenses/{id}DELETE /licenses/{id}
Use these routes to list, create, update, and delete license records.
Activations
Section titled “Activations”GET /activationsDELETE /activations/{id}
Use these routes to inspect and revoke activations.
GET /logsGET /logs/{id}DELETE /logs/{id}DELETE /logs/bulk-delete
Use these routes to inspect filtered request logs and clear individual or bulk log records.